Subject: bug#8132: 23.1; comint shell replaces \ in paths with /

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Mar 2011 20:27:28 +0200

> From: Michael Albinus <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 01 Mar 2011 10:02:23 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > It could be easier to make a wrapper around the file completion, which
> > would simply convert all / into \ when the result is inserted into the
> > shell buffer.  That's because working with / is very basic in
> > file-name completion, and reaches deep into the code and the
> > primitives it uses.
> 
> It should respect remote file names. A conversion to \ is not helpful
> for them.

Sorry, I'm not following: what remote file names?  We are talking
about "M-x shell" with the stock Windows shell.  That shell doesn't
support remote file names at all.  What am I missing?

> Likely, it is sufficient to suppress the conversion if default-directory
> is remote.

How can it be, in "M-x shell"?